#ifndef LINT
static char *rcsid="$Id: dial.c,v 1.2 1999/12/28 16:01:53 crosser Exp $";
#endif

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: dial.c,v $
	Revision 1.2  1999/12/28 16:01:53  crosser
	Move to syslog
	Portability for HP/UX
	
	Revision 1.1.1.1  1999/08/29 22:53:46  crosser
	Ifmail
	
*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <sys/types.h>
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <stdio.h>
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# endif
#endif
#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include "lutil.h"
#include "nodelist.h"
#include "rdconfig.h"

int chat(node*,modem_string*,modem_string*,modem_string*,int,char*);

int dialphone(nlent,phone)
node *nlent;
char *phone;
{
	int rc;

	debug(18,"dialing %s",S(phone));
	if ((rc=chat(nlent,modemreset,modemok,modemerror,timeoutreset,phone)))
	{
		syslog(LOG_ERR,"could not reset the modem");
		return 2;
	}
	else if ((rc=chat(nlent,modemdial,modemconnect,modemerror,
				timeoutconnect,phone)))
	{
		syslog(LOG_INFO,"could not connect to the remote");
		return 1;
	}
	else return 0;
}

int hangup(nlent)
node *nlent;
{
	debug(18,"hanging up");
	chat(nlent,modemhangup,NULL,NULL,0,NULL);
	sleep(1);
	return 0;
}
