#ifndef LINT
static char *rcsid="$Id: subst.c,v 1.1 1999/11/02 22:31:52 crosser Exp $";
#endif

/*
	"ifmail": FidoNet(r) support package for UN*X platform

	Copyright (c) 1993-1999 Eugene G. Crosser

	You may distribute and/or use for any purpose modified or unmodified
	copies of this software if you preserve the copyright notice above.

	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
	USE OF THIS SOFTWARE.

	URL: http://www.average.org/ifmail/
	E-Mail: <crosser@average.org>
*/

/*
	$Log: subst.c,v $
	Revision 1.1  1999/11/02 22:31:52  crosser
	add missing file
	
*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <sys/types.h>
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <stdio.h>
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <string.h>
#else
# ifdef HAVE_STRINGS_H
#  include <strings.h>
# endif
#endif
#if TIME_WITH_SYS_TIME
# include <sys/time.h>
# include <time.h>
#else
# if HAVE_SYS_TIME_H
#  include <sys/time.h>
# else
#  include <time.h>
# endif
#endif
#include <ctype.h>

#include "rdconfig.h"
#include "lutil.h"

char *subst_dos2unix(buf,buf2,sz)
char *buf;
char *buf2;
int sz;
{
	char *p=buf,*q;
	subst_list *ps;

	if (substs) {
		for (ps=substs;ps;ps=ps->next)
			if (strncasecmp(p,ps->dosp,strlen(ps->dosp))==0) break;
		if (ps) {
			debug(12,"\"%s\" subst-to \"%s\"",
					S(ps->dosp),S(ps->unixp));
			strcpy(buf2,ps->unixp);
			for (p+=strlen(ps->dosp),q=buf2+strlen(ps->unixp);
								*p;p++,q++)
				*q=((*p) == '\\')?'/':tolower(*p);
			*q='\0';
			debug(12,"subst result\"%s\"",S(buf2));
			return buf2;
		} else
			return buf;
	} else {
		return buf;
	}
}

char *subst_unix2dos(buf,buf2,sz)
char *buf;
char *buf2;
int sz;
{
	char *p=buf;
	subst_list *ps;

	if (substs) {
		for (ps=substs;ps;ps=ps->next)
			if (strncasecmp(p,ps->unixp,strlen(ps->unixp))==0) break;
		if (ps) {
			debug(12,"\"%s\" subst-to \"%s\"",
					S(ps->unixp),S(ps->dosp));
			strcpy(buf2,ps->dosp);
			debug(12,"subst result\"%s\"",S(buf2));
			return buf2;
		} else
			return buf;
	} else {
		return buf;
	}
}
